org.jfree.data.function

## Class NormalDistributionFunction2D

- java.lang.Object
- - org.jfree.data.function.NormalDistributionFunction2D

All Implemented Interfaces:
  java.io.Serializable, Function2D

    public class NormalDistributionFunction2D
    extends java.lang.Object
    implements Function2D, java.io.Serializable

A normal distribution function. See http://en.wikipedia.org/wiki/Normal_distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NormalDistributionFunction2D(double mean, double std)` Constructs a new normal distribution function.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this function for equality with an arbitrary object.
`double` `getMean()` Returns the mean for the function.
`double` `getStandardDeviation()` Returns the standard deviation for the function.
`double` `getValue(double x)` Returns the function value.
`int` `hashCode()` Returns a hash code for this instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NormalDistributionFunction2D

    public NormalDistributionFunction2D(double mean,
                                double std)

Constructs a new normal distribution function.

Parameters:
  `mean` - the mean.
  `std` - the standard deviation (> 0).

### Method Detail

#### getMean

    public double getMean()

Returns the mean for the function.

Returns:
  The mean.

#### getStandardDeviation

    public double getStandardDeviation()

Returns the standard deviation for the function.

Returns:
  The standard deviation.

#### getValue

    public double getValue(double x)

Returns the function value.

Specified by:
  `getValue` in interface `Function2D`
Parameters:
  `x` - the x-value.
Returns:
  The value.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this function for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.